/**
 *  cpp 与 js 交互
 *  此处接口cpp与editor数据交互
 */

/**
调用cpp，通知修改状态
*/
var g_ContextLen = 0;
function changeCallback() {	
	var vundo = Number(um.queryCommandState('undo'));	
	var vredu = Number(um.queryCommandState('redo'));	
	var vbold = Number(um.queryCommandState('bold'));
	var vitalic = Number(um.queryCommandState('italic'));
	var vunderline = Number(um.queryCommandState('underline'));
	var vstrikethrough = Number(um.queryCommandState('strikethrough'));
	var vforecolor = um.queryCommandValue( 'forecolor' );
	var vbackcolor = um.queryCommandValue( 'backcolor' );
	var vfontsize = um.queryCommandValue( 'fontsize' );
	var vfontFamily = um.queryCommandValue( 'fontfamily' );
	
	var vParam = 	'toolbarUndo:' + vundo + '|' +
					'toolbarRedo:' + vredu + '|' +
					'toolbarBold:' + vbold + '|' +
					'toolbarItalic:' + vitalic + '|' +					
					'toolbarUnderline:' + vunderline + '|' +
					'toolbarStrikethrough:' + vstrikethrough + '|' +
					'toolbarForecolor:' + vforecolor + '|' +
					'toolbarBackcolor:' + vbackcolor + '|' +
					'toolbarFontSize:' + vfontsize + '|' +
					'toolbarFontFamily:' + vfontFamily;

	JsCallCpp("afterSelectionChange",vParam);
	
	var len = um.getContentTxt().length;
	if(g_ContextLen != len)
	{
		g_ContextLen = len;
		JsCallCpp("contentChange",len);
	}
}

function contentChangeCallback()
{
	var len = um.getContentTxt().length;
	g_ContextLen = len;
	JsCallCpp("contentChange",len);
}
/**
	获取编辑器内容
*/
function getContent() {
	var context = um.getContent();
	return context;	
}
/**
	获取编辑器纯内容
*/
function getPlainContent(){
	var context = um.getContentTxt();
	return context;	
}
/**
	没有图片时
*/
function nofind(){
   var img=event.srcElement;
   img.src="default.png";
   img.onerror=null;
}
/**
	设置编辑器内容
*/
function setContent(html,isAppendTo) {
	um.setContent(html, isAppendTo);
	um.blur();
}
/**
	获取图片列表
*/
function GetImageList()
{
	var imgList = '<';
	var imgs = document.getElementsByTagName('img');
	for(var i=0;i<imgs.length;i++)
	{
		if(i > 0)
			imgList += ',';
		imgList = imgList + imgs[i].attributes["src"].nodeValue;		
	}
	return imgList;
}
/**
	获取图片张数
*/
function GetImgCount()
{
	return document.getElementsByTagName('img').length;
}

/**
	撤销
*/
function OnUndo() {
	um.execCommand('undo');
}
/**
  重做
*/
function OnRedo() {
	um.execCommand('redo');
}
/**
  斜体
  */
function OnItalic() {
	um.execCommand('italic');
}
/**
  下划线
  */
function OnUnderline() {
	um.execCommand('underline');
}
/**
  删除线
  */
function OnStrikethrough(){
	um.execCommand('strikethrough');
}
/**
  加粗
  */
function OnBold(){
	um.execCommand('bold');
}
/**
  清空文档
*/
function OnCleardoc(){
	um.execCommand('cleardoc');
}
/**
  字体颜色
*/
function OnForecolor(color){
	um.execCommand( 'forecolor', color);
}
/**
  字体大小
*/
function OnFontsize(size){
	um.execCommand( 'fontsize', size );
}
/**
  背景色
*/
function OnBackcolor(color){
	um.execCommand( 'backcolor', color );
}
/**
  插入图片
*/
function OnInsertimage(name,width,height){
	um.execCommand( 'insertimage', {
     src:name,
     width:width,
     height:height
 } );
}

/**
  字体
  */
 function fontfamily(fontName) {
	um.execCommand( 'fontfamily', fontName );
 }
/**
  重置
  */
 function reset() {
	um.reset();
 }
 /**
  不可编辑
  */
 function setDisabled() {
	um.setDisabled();
 }
/**
  不可编辑
  */
 function setEnabled() {
	um.setEnabled();
	//um.blur();
 }
/**
  选中内容
  */
function getSelectText() { 
	var selecttext = um.selection.getText(); 
	return selecttext;	
} 
/**
  清除样式
  */
function removeFormat() {
	  um.execCommand("removeFormat");
}

